# RippleApi

## moonsdk.RippleApi

All URIs are relative to *<https://beta.usemoon.ai>*

| Method                                                    | HTTP request                           | Description |
| --------------------------------------------------------- | -------------------------------------- | ----------- |
| [**create\_ripple\_account**](#create_ripple_account)     | **POST** /ripple                       |             |
| [**get\_ripple\_account**](#get_ripple_account)           | **GET** /ripple/{accountName}          |             |
| [**list\_ripple\_accounts**](#list_ripple_accounts)       | **GET** /ripple                        |             |
| [**sign\_ripple\_transaction**](#sign_ripple_transaction) | **POST** /ripple/{accountName}/sign-tx |             |

## **create\_ripple\_account**

> AccountAPIResponse create\_ripple\_account(authorization, ripple\_input)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import moonsdk
from moonsdk.models.account_api_response import AccountAPIResponse
from moonsdk.models.ripple_input import RippleInput
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://beta.usemoon.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://beta.usemoon.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.RippleApi(api_client)
    authorization = 'authorization_example' # str | 
    ripple_input = moonsdk.RippleInput() # RippleInput | 

    try:
        api_response = await api_instance.create_ripple_account(authorization, ripple_input)
        print("The response of RippleApi->create_ripple_account:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling RippleApi->create_ripple_account: %s\n" % e)
```

#### Parameters

| Name              | Type                                           | Description | Notes |
| ----------------- | ---------------------------------------------- | ----------- | ----- |
| **authorization** | **str**                                        |             |       |
| **ripple\_input** | [**RippleInput**](/sdks/python/rippleinput.md) |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/python/accountapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/rippleapi.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)

## **get\_ripple\_account**

> AccountAPIResponse get\_ripple\_account(authorization, account\_name)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import moonsdk
from moonsdk.models.account_api_response import AccountAPIResponse
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://beta.usemoon.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://beta.usemoon.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.RippleApi(api_client)
    authorization = 'authorization_example' # str | 
    account_name = 'account_name_example' # str | 

    try:
        api_response = await api_instance.get_ripple_account(authorization, account_name)
        print("The response of RippleApi->get_ripple_account:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling RippleApi->get_ripple_account: %s\n" % e)
```

#### Parameters

| Name              | Type    | Description | Notes |
| ----------------- | ------- | ----------- | ----- |
| **authorization** | **str** |             |       |
| **account\_name** | **str** |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/python/accountapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/rippleapi.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)

## **list\_ripple\_accounts**

> AccountAPIResponse list\_ripple\_accounts(authorization)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import moonsdk
from moonsdk.models.account_api_response import AccountAPIResponse
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://beta.usemoon.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://beta.usemoon.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.RippleApi(api_client)
    authorization = 'authorization_example' # str | 

    try:
        api_response = await api_instance.list_ripple_accounts(authorization)
        print("The response of RippleApi->list_ripple_accounts:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling RippleApi->list_ripple_accounts: %s\n" % e)
```

#### Parameters

| Name              | Type    | Description | Notes |
| ----------------- | ------- | ----------- | ----- |
| **authorization** | **str** |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/python/accountapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/rippleapi.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)

## **sign\_ripple\_transaction**

> RippleAPIResponse sign\_ripple\_transaction(authorization, account\_name, ripple\_transaction\_input)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import moonsdk
from moonsdk.models.ripple_api_response import RippleAPIResponse
from moonsdk.models.ripple_transaction_input import RippleTransactionInput
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://beta.usemoon.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://beta.usemoon.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.RippleApi(api_client)
    authorization = 'authorization_example' # str | 
    account_name = 'account_name_example' # str | 
    ripple_transaction_input = moonsdk.RippleTransactionInput() # RippleTransactionInput | 

    try:
        api_response = await api_instance.sign_ripple_transaction(authorization, account_name, ripple_transaction_input)
        print("The response of RippleApi->sign_ripple_transaction:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling RippleApi->sign_ripple_transaction: %s\n" % e)
```

#### Parameters

| Name                           | Type                                                                 | Description | Notes |
| ------------------------------ | -------------------------------------------------------------------- | ----------- | ----- |
| **authorization**              | **str**                                                              |             |       |
| **account\_name**              | **str**                                                              |             |       |
| **ripple\_transaction\_input** | [**RippleTransactionInput**](/sdks/python/rippletransactioninput.md) |             |       |

#### Return type

[**RippleAPIResponse**](/sdks/python/rippleapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/rippleapi.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/rippleapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
